# Uses of Interface
org.opensaml.xacml.ctx.EnvironmentType

Packages that use EnvironmentType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of EnvironmentType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return EnvironmentType
Modifier and Type
Method
Description
`EnvironmentType`
RequestType.`getEnvironment()`
Gets the environment from the request.
Methods in org.opensaml.xacml.ctx with parameters of type EnvironmentType
Modifier and Type
Method
Description
`void`
RequestType.`setEnvironment(EnvironmentType environment)`
Sets the environment of the request.

## Uses of EnvironmentType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement EnvironmentType
Modifier and Type
Class
Description
`class`
`EnvironmentTypeImpl`
Concrete implementation of `EnvironmentType`.
Fields in org.opensaml.xacml.ctx.impl declared as EnvironmentType
Modifier and Type
Field
Description
`private EnvironmentType`
RequestTypeImpl.`environment`
The environment of the request.
Methods in org.opensaml.xacml.ctx.impl that return EnvironmentType
Modifier and Type
Method
Description
`EnvironmentType`
EnvironmentTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`EnvironmentType`
EnvironmentTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`EnvironmentType`
RequestTypeImpl.`getEnvironment()`
Gets the environment from the request.
Methods in org.opensaml.xacml.ctx.impl with parameters of type EnvironmentType
Modifier and Type
Method
Description
`void`
RequestTypeImpl.`setEnvironment(EnvironmentType env)`
Sets the environment of the request.